## texlive-base 2020.20210202

=== Makefile ===

all: mkii mkiv

mkii:
	# ATTENTION: this may need >> . ~/context/tex/setuptex 
	texexec --passon="--shell-escape"  --once --pdf pgfplotstest
	for A in gnuplot/*.gnuplot; do gnuplot <$$A; done

mkiv:
	# ATTENTION: this may need >> . ~/context/tex/setuptex 
	context --once pgfplotstest_mkiv
	for A in gnuplot/*.gnuplot; do gnuplot <$$A; done

=== texmf-dist/doc/pdftex/manual/Makefile ===
# $Id: Makefile 822 2020-03-02 16:57:37Z karl $
# Makefile for pdfTeX documentation.  Public domain.

# Get version we're documenting from the \def in the manual.
pdftexversion=`sed -n 's,^.def.currentpdftex{\(.*\)},\1,p' manual/pdftex-t.tex`

context = texexec --batchmode
# context does not have \setupoutput.
# texmfstart exits immediately.

# what we distribute in TeX Live.
default: pdftex-a.pdf pdftex-syntax.txt

# the other formats (everything that can be built).
all: pdftex-l.pdf pdftex-s.pdf booklet

common_deps = pdftex-t.tex pdftex-w.txt pdftex-syntax.tex # pdftex-help.txt
pdftex-a.pdf a:	$(common_deps)
	$(context) --mode=a4 --result=$@ $<

pdftex-l.pdf l:	$(common_deps)
	$(context) --mode=letter --result=$@ $<

pdftex-s.pdf s:	$(common_deps) pdftex-i.tex
	$(context) --mode=screen --result=$@ $<


# booklet version is not made by default.
booklet:	pdftex-b.pdf pdftex-b-e.pdf pdftex-b-o.pdf

pdftex-b.pdf b:	pdftex-a.pdf
	$(context) --pdfarrange --paper=a5a4 --print=up --addempty=1,2 \
	--result=$@ $<

pdftex-b-e.pdf:	pdftex-a.pdf
	$(context) --pdfarrange --paper=a5a4 --print=up --addempty=1,2 \
	--pages=even --result=$@ $<

pdftex-b-o.pdf:	pdftex-a.pdf
	$(context) --pdfarrange --paper=a5a4 --print=up --addempty=1,2 \
	--pages=odd --result=$@ $<


#  Creating the subsidiary/dependent files.

# TeXable text for the title page.
pdftex-w.txt: pdftex-w.pdf
	cat $< \
	| expand \
	| fmt -s -w36 \
	| grep --text . \
	| expand >$@ || rm -f $@
	wc -l pdftex-w.txt  # set titlepagelines=half of this

# PDF for the title page.
pdftex_binary = ../../source/build-pdftex/texk/web2c/pdftex
pdftex-w.pdf: pdftex-w.tex Makefile
	TEXFONTS=/usr/local/texlive/dev/texmf-dist/fonts// \
	$(pdftex_binary) -ini '\nonstopmode\input $<'


# Too annoying to remake help text every time; check by hand when needed.
pdftex-help.txt: force
	$(pdftex_binary) --help >$@ || rm -f $@
force:

# if we don't have a build tree around, just try from the path.
build_binary := ../../source/build-pdftex/texk/web2c/pdftex
ifneq "$(realpath $(build_binary))" ""
pdftex_binary := $(build_binary)
else
pdftex_binary := pdftex
endif

# Primitives and syntax, in TeX for the printed manual, and then in
# plain text for human convenience.
pdftex-syntax.tex: pdftex-t.tex syntaxform.pl
	perl syntaxform.pl pdftex-t.tex >pdftex-syntax.tex || rm -f $@

pdftex-syntax.txt: pdftex-t.tex pdftex-syntax.tex syntaxform.awk
	gawk -f syntaxform.awk pdftex-syntax.tex $< >$@ || rm -f $@


#  Install from this source directory to TL.

# svn co svn://u:pw@tug.org/texlive/trunk/Master/texmf-dist/doc/pdftex
tltree = /r/tug/home/texlive/karl/Master/texmf-dist
dest = $(tltree)/doc/pdftex/manual

INSTALL_DATA = cp -p

install: default
	$(INSTALL_DATA) ChangeLog Makefile README makefiles.cmd $(dest)
	$(INSTALL_DATA) pdftex-a.pdf pdftex-syntax.txt $(dest)
	$(INSTALL_DATA) pdftex-t.tex pdftex-w.tex pdftex-i.tex $(dest)
	$(INSTALL_DATA) syntaxform.awk syntaxform.pl $(dest)


#  Dist and clean.
# tar/zip including pdftex-a.pdf, pdftex-l.pdf, pdftex-s.pdf,
# although we don't ever make such distributions any more.

distall=$(distnopdf) pdftex-a.pdf pdftex-l.pdf pdftex-s.pdf

mandir=manual
distdate=`date +%y%m%d`
distrev=`awk '/Id:/{print $$4; exit}' $(mandir)/pdftex-t.tex`

distnopdf=pdftex-w.tex pdftex-w.txt pdftex-t.tex \
	pdftex-i.tex syntaxform.awk Makefile makefiles.cmd \
	pdftex-syntax.txt pdftex-help.txt README ChangeLog

alltar:	$(distall)
	cd .. && tar cvjf $(mandir)/pdftex-$(pdftexversion)-userman-$(distrev).tar.bz2 \
	$(patsubst %, $(mandir)/%, $(distall))

allzip:	$(distall)
	cd .. && zip $(mandir)/pdftex-$(pdftexversion)-userman-$(distrev).zip \
	$(patsubst %, $(mandir)/%, $(distall))


# tar/zip without PDF files:

tar:	$(distnopdf)
	cd .. && tar cvjf $(mandir)/pdftex-$(pdftexversion)-userman-$(distrev)-src.tar.bz2 \
	$(patsubst %, $(mandir)/%, $(distnopdf))
	ls -l *.tar.bz2

zip:	$(distnopdf)
	cd .. && zip $(mandir)/pdftex-$(pdftexversion)-userman-$(distrev)-src.zip \
	$(patsubst %, $(mandir)/%, $(distnopdf))


clean:
	rm -f *.log *.tuo *.tui *.top *.tmp *-mpgraph.mp

maintainer-clean: clean
	rm -f pdftex-a.pdf pdftex-l.pdf pdftex-s.pdf
	rm -f pdftex-b.pdf pdftex-b-e.pdf pdftex-b-o.pdf
	rm -f pdftex-help.txt pdftex-syntax.txt pdftex-syntax.tex
	rm -f pdftex-w.pdf pdftex-w.txt

clobber allclean realclean distclean: maintainer-clean

=== texmf-dist/source/latex/koma-script/Makefile ===
# ======================================================================
# Makefile
# Copyright (c) Markus Kohm, 2002-2020
#
# This file is part of the LaTeX2e KOMA-Script bundle.
#
# This work may be distributed and/or modified under the conditions of
# the LaTeX Project Public License, version 1.3c of the license.
# The latest version of this license is in
#   http://www.latex-project.org/lppl.txt
# and version 1.3c or later is part of all distributions of LaTeX 
# version 2005/12/01 or later and of this work.
#
# This work has the LPPL maintenance status "author-maintained".
#
# The Current Maintainer and author of this work is Markus Kohm.
#
# This work consists of all files listed in manifest.txt.
# ----------------------------------------------------------------------
# Makefile
# Copyright (c) Markus Kohm, 2002-2020
#
# Dieses Werk darf nach den Bedingungen der LaTeX Project Public Lizenz,
# Version 1.3c, verteilt und/oder veraendert werden.
# Die neuste Version dieser Lizenz ist
#   http://www.latex-project.org/lppl.txt
# und Version 1.3c ist Teil aller Verteilungen von LaTeX
# Version 2005/12/01 oder spaeter und dieses Werks.
#
# Dieses Werk hat den LPPL-Verwaltungs-Status "author-maintained"
# (allein durch den Autor verwaltet).
#
# Der Aktuelle Verwalter und Autor dieses Werkes ist Markus Kohm.
# 
# Dieses Werk besteht aus den in manifest.txt aufgefuehrten Dateien.
# ======================================================================

NOCHANGELOG = 1 # We do not longer make or package the ChangeLog

# ----------------------------------------------------------------------
# All directories with Makefiles
export BASEDIR ?= $(PWD)/
SUBDIRS = doc
# ----------------------------------------------------------------------
# Load common rules
include Makefile.baserules
# Load variable definitions
include Makefile.baseinit
# ----------------------------------------------------------------------
# Temporary folder, used to create distribution.
# Same folder with postfix "-maintain" will be used to create maintain-
# distribution.
export DISTDIR	   := $(PWD)/koma-script-$(ISODATE)
export MAINTAINDIR := $(DISTDIR)-maintain
# ----------------------------------------------------------------------

# ----------------------------------------------------------------------
# More than once used:
# Make implementation documentation
define makepdffromdtx
	if ! $(LATEX) $(NONSTOPMODE) $(PDFOUTPUT) $<; then \
	    $(RM) -v $@; \
	    exit 1; \
	fi
        oncemore=true; \
        checksum=`$(CKSUM) $(basename $<).aux`; \
        while $$oncemore; \
	do \
	    if ! $(MKINDEX) $(basename $<) \
	       || ! $(LATEX) $(NONSTOPMODE) $(PDFOUTPUT) $<; then \
	        $(RM) -v $@; \
	        exit 1; \
	    fi; \
	    $(GREP) Rerun $(basename $<).log || oncemore=false; \
	    newchecksum=`$(CKSUM) $(basename $<).aux`; \
	    [ "$$newchecksum"="$$checksum" ] || oncemore=true; \
	    checksum="$$newchecksum"; \
	done
endef
# ----------------------------------------------------------------------

# ----------------------------------------------------------------------
# List of all Makefiles
MAKE_FILES	= Makefile Makefile.baserules Makefile.baseinit
# ----------------------------------------------------------------------
# make classes, packages, etc.
CLS_MAIN	= scrbook.cls \
		  scrreprt.cls \
		  scrartcl.cls \
		  scrlttr2.cls \
		  scrreport.cls \
		  scrarticle.cls \
		  scrletter.cls \
		  scrletter.sty \
		  typearea.sty \
		  scrsize10pt.clo \
		  scrsize11pt.clo \
		  scrsize12pt.clo \
		  scrlfile.sty \
		  scrlfile-hook.sty \
		  scrlfile-patcholdlatex.sty \
		  scrlogo.sty \
	   	  scrwfile.sty \
		  scrbase.sty \
		  scrkbase.sty \
		  scraddr.sty \
		  scrtime.sty \
		  scrdate.sty \
		  scrjura.sty \
		  tocbasic.sty \
		  scrextend.sty \
		  scrhack.sty \
		  float.hak \
		  floatrow.hak \
		  hyperref.hak \
		  listings.hak \
		  nomencl.hak \
		  setspace.hak \
		  lscape.hak \
		  standardsections.hak \
		  scrfontsizes.sty \
		  visualize.lco \
	          DIN.lco \
		  DINmtext.lco \
		  DIN5008A.lco \
		  DIN5008B.lco \
		  SN.lco \
	 	  SNleft.lco \
		  KOMAold.lco \
		  NF.lco \
		  UScommercial9.lco \
		  UScommercial9DW.lco \
		  NipponEH.lco \
		  NipponEL.lco \
		  NipponLH.lco \
		  NipponLL.lco \
		  NipponRL.lco \
		  KakuLL.lco \
		  scrlayer.sty \
		  scrlayer-scrpage.sty \
		  scrlayer-notecolumn.sty \
		  scrlayer-fancyhdr.sty

CLS_MAIN_DTX    = scrkernel-basics.dtx \
		  scrkernel-bibliography.dtx \
		  scrkernel-circularletters.dtx \
		  scrkernel-compatibility.dtx \
		  scrkernel-floats.dtx \
		  scrkernel-fonts.dtx \
		  scrkernel-footnotes.dtx \
		  scrkernel-index.dtx \
		  scrkernel-language.dtx \
		  scrkernel-letterclassoptions.dtx \
		  japanlco.dtx \
		  scrkernel-listsof.dtx \
		  scrkernel-listsandtabulars.dtx \
		  scrkernel-miscellaneous.dtx \
		  scrkernel-notepaper.dtx \
		  scrkernel-pagestyles.dtx \
		  scrkernel-paragraphs.dtx \
		  scrkernel-pseudolengths.dtx \
		  scrkernel-sections.dtx \
		  scrkernel-title.dtx \
		  scrkernel-tocstyle.dtx \
		  scrkernel-typearea.dtx \
		  scrkernel-variables.dtx \
		  scrkernel-version.dtx \
		  scrlfile.dtx \
		  scrlfile-hook.dtx \
		  scrlfile-patcholdlatex.dtx \
		  scrwfile.dtx \
		  scraddr.dtx \
		  scrtime.dtx \
		  scrlogo.dtx \
	          scrextend.dtx \
                  scrhack.dtx \
		  scrjura.dtx \
		  tocbasic.dtx \
		  scrlayer.dtx \
		  scrlayer-scrpage.dtx \
		  scrlayer-notecolumn.dtx \
		  scrlayer-fancyhdr.dtx

STATIC_DOC      = README \
	          INSTALL.txt \
		  INSTALLD.txt \
	          lppl.txt \
	          lppl-de.txt \
		  manifest.txt \
		  komabug.tex

CLS_MAIN_DVI	= scrsource.pdf

CLS_MAIN_INS	= scrmain.ins

CLS_MAIN_SUBINS	= scrstrip.inc scrstrop.inc scrdocstrip.tex

ALPHA_INS       = scrlayer-fancyhdr.dtx

ALPHA_DOC       = scrlayer-fancyhdr.pdf

ALPHA_DTX       = $(subst .pdf,.dtx,$(ALPHA_DOC))

CLS_MAIN_SRC	= $(CLS_MAIN_DTX) $(CLS_MAIN_INS) $(CLS_MAIN_SUBINS) \
		  scrsource.tex

$(ALPHA_DOC): $(ALPHA_DTX) scrdoc.cls $(CLS_MAIN)
	$(LATEX) $(BATCHMODE) $(PDFOUTPUT) $(subst .pdf,.dtx,$@)
	$(MKINDEX) $(subst .pdf,,$@)
	$(LATEX) $(BATCHMODE) $(PDFOUTPUT) $(subst .pdf,.dtx,$@)
	$(MKINDEX) $(subst .pdf,,$@)
	$(LATEX) $(BATCHMODE) $(PDFOUTPUT) $(subst .pdf,.dtx,$@)

$(CLS_MAIN): $(CLS_MAIN_DVI) $(CLS_MAIN_INS) $(MAKE_FILES)
	$(TEXUNPACK) $(CLS_MAIN_INS)
	$(foreach alphains,$(ALPHA_INS),$(TEXUNPACK) $(alphains);)

scrsource.pdf: scrsource.tex $(CLS_MAIN_DTX) $(MAKE_FILES) scrdoc.cls
	$(makepdffromdtx)

scrdoc.cls: scrdoc.dtx
	$(SSYMLINK) scrdoc.dtx scrdoc.cls

# ----------------------------------------------------------------------
CLS_FILES	= scrdoc.cls $(CLS_MAIN)

CLS_DVIS	= $(CLS_MAIN_DVI)

CLS_SRC		= $(CLS_MAIN_SRC)

NODIST_GENERATED = $(CLS_DVIS) $(CLS_FILES) $(ALPHA_DOC)

GENERATED	= $(NODIST_GENERATED) \
		  scrjura.ins \
		  scrwfile.ins \
		  tocbasic.ins

MISC_SRC	= $(MAKE_FILES) \
                  scrdoc.dtx

ifndef NOCHANGELOG
GENERATED      += ChangeLog
MISC_SRC       += ChangeLog ChangeLog.2
endif

DIST_SRC	= $(MISC_SRC) $(CLS_SRC)

DIST_FILES	= $(DIST_SRC) $(STATIC_DOC) $(ALPHA_DOC)

MAINTAIN_SRC    = $(DIST_SRC) missing.dtx .cvsignore

MAINTAIN_FILES  = $(MAINTAIN_SRC)
# ----------------------------------------------------------------------

# ----------------------------------------------------------------------
# additional rules
tdsdist:dist
	# extract dist and make all
	$(UNTARGZ) $(DISTDIR).tar.gz
	chmod -R a+w $(DISTDIR)
ifdef PREPARERELEASE
	developer/scripts/preparerelease.sh 2 $(notdir $(DISTDIR))
endif
	$(CD) $(notdir $(DISTDIR)) && \
	  $(MAKE)
ifdef PREPARERELEASE
	$(MKDIR) $(notdir $(DISTDIR))/README.in
	$(INSTALL) README.in/README.*.sty README.in/README.*.cls $(notdir $(DISTDIR))/README.in
	developer/scripts/preparerelease.sh 3 $(notdir $(DISTDIR))
	$(RMDIR) $(notdir $(DISTDIR))/README.in
endif
	# install to temporary directory
	$(MKDIR) $(notdir $(DISTDIR))-bin/komascript-texmf
	$(CD) $(notdir $(DISTDIR)) && \
	  $(MAKE) INSTALLTEXMF=$(PWD)/$(notdir $(DISTDIR))-bin/komascript-texmf install
ifdef PREPARERELEASE
	developer/scripts/preparerelease.sh final $(notdir $(DISTDIR))
endif
	$(RMDIR) $(notdir $(DISTDIR))
	$(SRM) $(notdir $(DISTDIR))-bin/komascript-texmf/ls-R
	# build the tds.zip
	$(SRM) komascript.tds.zip
	$(CD) $(notdir $(DISTDIR))-bin/komascript-texmf && \
	  $(ZIP) ../../komascript.tds.zip source doc tex
	# clean up
	$(RMDIR) $(notdir $(DISTDIR))-bin
	$(SRM) $(notdir $(DISTDIR)).tar.gz

bindist:tdsdist
	# extract tds.zip
	$(MKDIR) $(notdir $(DISTDIR))-bin
	$(MKDIR) $(notdir $(DISTDIR))-bin/komascript-texmf
	$(CD) $(notdir $(DISTDIR))-bin/komascript-texmf && \
	  $(UNZIP) ../../komascript.tds.zip
	# copy some of the files to primary folder
	$(MV) komascript.tds.zip $(notdir $(DISTDIR))-bin/
ifndef NOCHANGELOG
	$(INSTALL) $(notdir $(DISTDIR))-bin/komascript-texmf/source/latex/koma-script/ChangeLog $(notdir $(DISTDIR))-bin
endif
	$(INSTALL) $(notdir $(DISTDIR))-bin/komascript-texmf/doc/latex/koma-script/scrgui* $(notdir $(DISTDIR))-bin
	$(INSTALL) $(notdir $(DISTDIR))-bin/komascript-texmf/doc/latex/koma-script/*.txt $(notdir $(DISTDIR))-bin
	$(INSTALL) $(notdir $(DISTDIR))-bin/komascript-texmf/doc/latex/koma-script/README $(notdir $(DISTDIR))-bin
	$(INSTALL) $(notdir $(DISTDIR))-bin/komascript-texmf/doc/latex/koma-script/koma*.html $(notdir $(DISTDIR))-bin
	$(GREP) 'CheckKOMAScriptVersion{' $(notdir $(DISTDIR))-bin/komascript-texmf/source/latex/koma-script/scrkernel-version.dtx | grep -o '2.*t' > $(notdir $(DISTDIR))-bin/VERSION
	# build the bin.zip
	$(RMDIR) $(notdir $(DISTDIR))-bin/komascript-texmf
	$(SRM) $(notdir $(DISTDIR))-bin.zip
	$(CD) $(notdir $(DISTDIR))-bin && \
	  $(ZIP) ../$(notdir $(DISTDIR))-bin.zip *
	# clean up
	$(RMDIR) $(notdir $(DISTDIR))-bin

ctandist:tdsdist
	# extract tds.zip
	$(SRMDIR) $(notdir $(DISTDIR))-ctan
	$(MKDIR) $(notdir $(DISTDIR))-ctan/texmf
	$(INSTALL) komascript.tds.zip $(notdir $(DISTDIR))-ctan
	$(CD) $(notdir $(DISTDIR))-ctan/texmf && \
	  $(UNZIP) ../komascript.tds.zip
	# copy some doc files to doc source
	$(INSTALL) $(notdir $(DISTDIR))-ctan/texmf/doc/latex/koma-script/*.html \
	  $(notdir $(DISTDIR))-ctan/texmf/doc/latex/koma-script/*.pdf \
	  $(notdir $(DISTDIR))-ctan/texmf/source/latex/koma-script/doc/
	# copy some doc files to main source
	$(INSTALL) $(notdir $(DISTDIR))-ctan/texmf/doc/latex/koma-script/*.txt \
	  $(notdir $(DISTDIR))-ctan/texmf/doc/latex/koma-script/*.tex \
	  $(notdir $(DISTDIR))-ctan/texmf/doc/latex/koma-script/README \
	  $(notdir $(DISTDIR))-ctan/texmf/source/latex/koma-script/
	# generate VERSION at main source
	$(GREP) 'CheckKOMAScriptVersion{' $(notdir $(DISTDIR))-ctan/texmf/source/latex/koma-script/scrkernel-version.dtx | grep -o '2.*t' \
	  > $(notdir $(DISTDIR))-ctan/texmf/source/latex/koma-script/VERSION
	# generate README.distributors at upmost
	$(HEAD) 18 $(notdir $(DISTDIR))-ctan/texmf/source/latex/koma-script/README > $(notdir $(DISTDIR))-ctan/README.distributors
	$(SECHO) 'File komascript.tds.zip is a complete TEXMF tree of KOMA-Script.  It may be' >> $(notdir $(DISTDIR))-ctan/README.distributors
	$(SECHO) 'used for manual installation or by distributors for distributions like' >> $(notdir $(DISTDIR))-ctan/README.distributors
	$(SECHO) '<http://mirror.ctan.org/tex-archive/install/macros/latex/contrib/komascript.tds.zip>.' >> $(notdir $(DISTDIR))-ctan/README.distributors
	$(SECHO) "File $(notdir $(DISTDIR)).ctan-src.zip is a file with sources and manuals of KOMA-Script"  >> $(notdir $(DISTDIR))-ctan/README.distributors
	$(SECHO) 'that CTAN seems to prefer for the distribution at'  >> $(notdir $(DISTDIR))-ctan/README.distributors
	$(SECHO) '<http://mirror.ctan.org/tex-archive/macros/latex/contrib/komascript>.' >> $(notdir $(DISTDIR))-ctan/README.distributors
	$(SECHO) 'Note, that it is not easy to generate a ready to use and complete installation' >> $(notdir $(DISTDIR))-ctan/README.distributors

=== texmf-dist/source/latex/ragged2e/Makefile ===
doc: ragged2e.pdf ragged2e.dvi
ragged2e.dvi: ragged2e.pdf
	latex ragged2e.drv

ragged2e.pdf:	ragged2e.dtx ragged2e.drv ragged2e.sty
	pdflatex -draftmode ragged2e.drv
	pdflatex -draftmode ragged2e.drv
	makeindex -s gind.ist -t ragged2e.ind.ilg ragged2e ragged2e.idx
	makeindex -s gglo.ist -t ragged2e.gls.ilg -o ragged2e.gls ragged2e ragged2e.glo
	pdflatex ragged2e.drv

ragged2e.drv ragged2e.sty:	ragged2e.dtx ragged2e.ins
	latex ragged2e.ins

ragged2e.zip:	ragged2e.dtx ragged2e.pdf ragged2e.ins
	$(eval RELEASEDIR := $(shell mktemp -d))
	@cp -a ragged2e.dtx ragged2e.pdf ragged2e.ins $(RELEASEDIR)
	@cp .git/gitHeadInfo.gin $(RELEASEDIR)/gitHeadLocal.gin
	@sed -i 's/usepackage{gitinfo2}/usepackage[release]{gitinfo2}/g' $(RELEASEDIR)/ragged2e.dtx
	@zip --junk-paths ragged2e.zip $(RELEASEDIR)/ragged2e.dtx $(RELEASEDIR)/ragged2e.pdf $(RELEASEDIR)/ragged2e.ins $(RELEASEDIR)/gitHeadLocal.gin
	@rm -rf $(RELEASEDIR)

.PHONY:	clean clobber

clean: 
	rm -f *.aux *.toc *.glo *.gls *.hd *.idx *.ilg *.ind *.log

clobber:	clean
	rm -f *.dvi *.pdf *.sty *.drv *.zip

# vim:noexpandtab

=== texmf-dist/source/lualatex/ekdosis/Makefile ===
NAME  = ekdosis
SHELL = bash
CMP   = lualatex-dev
PWD   = $(shell pwd)
VERS  = $(shell ltxfileinfo -v $(NAME).dtx|sed -e 's/^v//')
LOCAL = $(shell kpsewhich --var-value TEXMFLOCAL)
UTREE = $(shell kpsewhich --var-value TEXMFHOME)
HOMEDIR := $$HOME
SAMPLES := samples

exts := md html ins dtx el
findopts := $(foreach ext,$(exts),-or -iname "*.$(ext)")

all:	sty $(NAME).pdf

testsamples:
	if [ ! -d $(SAMPLES) ] ; \
	then echo "$(SAMPLES)/ directory is needed. Aborting." && exit 1 ; \
	fi

sty: clean
	$(CMP) $(NAME).ins >/dev/null

$(NAME).pdf: testsamples $(NAME).dtx
	@ echo "Making the sample files first..."
	$(MAKE) --directory=$(SAMPLES)
	@ echo "Building the documentation of $(NAME)..."
	$(CMP) --shell-escape --recorder --interaction=batchmode $(NAME).dtx >/dev/null
	biber $(NAME) >/dev/null
	$(CMP) --shell-escape --recorder --interaction=nonstopmode $(NAME).dtx > /dev/null
	$(CMP) --shell-escape --recorder --interaction=nonstopmode $(NAME).dtx > /dev/null
	$(CMP) --shell-escape --recorder --interaction=nonstopmode $(NAME).dtx > /dev/null
	$(CMP) --shell-escape --recorder --interaction=nonstopmode $(NAME).dtx > /dev/null
	if [ -f $(NAME).glo ]; then makeindex -q -s gglo.ist -o $(NAME).gls $(NAME).glo; fi
	if [ -f $(NAME).idx ]; then makeindex -q -s gind.ist -o $(NAME).ind $(NAME).idx; fi
	$(CMP) --shell-escape --recorder --interaction=nonstopmode $(NAME).dtx > /dev/null
	$(CMP) --shell-escape --recorder --interaction=nonstopmode $(NAME).dtx > /dev/null
	$(CMP) --shell-escape --recorder --interaction=nonstopmode $(NAME).dtx > /dev/null

samples: clean sty
	$(MAKE) --directory=$(SAMPLES)

clean: testsamples
	rm -rf auto
	rm -f $(NAME).bib $(PWD)/TMP/*.bib
	rm -rf .backup
	find -iname "*~" -or -iname "*.pdf" -or -iname "*_out*.tex" | xargs rm -rf
	find ./* -type f -iname "Makefile" $(findopts) > ls-R
	find ./* -type f -iname "*.tex" | grep '/samples/' >> ls-R
	rsync -aPr --files-from=ls-R . .backup
	rm -rf *
	cp -p -r .backup/* .
	rm -rf .backup
	pandoc -s README.md -o about.html

auctex:
	if [ ! -d "$(HOMEDIR)/.emacs.d/auctex/auto" ]; then \
	mkdir -p $(HOMEDIR)/.emacs.d/auctex/auto; \
	fi
	cp $(NAME)*.el $(HOMEDIR)/.emacs.d/auctex/auto

distclean: clean uninst

uninst:
	rm -rf $(UTREE)/{tex,source,doc}/lualatex/$(NAME)
	rm -rf $(HOMEDIR)/.emacs.d/auctex/auto/$(NAME).{el,elc}

inst: uninst auctex all
	mkdir -p $(UTREE)/{tex,source,doc}/lualatex/$(NAME)
	cp $(NAME).dtx $(UTREE)/source/lualatex/$(NAME)
	cp $(NAME).sty $(UTREE)/tex/lualatex/$(NAME)
	cp $(NAME).lua $(UTREE)/tex/lualatex/$(NAME)
	cp $(NAME).pdf $(UTREE)/doc/lualatex/$(NAME)
	cp -r samples/ $(UTREE)/doc/lualatex/$(NAME)

local: uninst auctex
	$(CMP) $(NAME).ins
	mkdir -p $(UTREE)/{tex,source,doc}/lualatex/$(NAME)
	cp $(NAME).sty $(UTREE)/tex/lualatex/$(NAME)
	cp $(NAME).lua $(UTREE)/tex/lualatex/$(NAME)

zip: all
	ln -sf . $(NAME)
	zip -Drq $(PWD)/$(NAME)-$(VERS).zip $(NAME)/{samples,README.md,$(NAME).{pdf,sty,lua,el}}
	rm $(NAME)

package: distclean all
	mkdir $(NAME)/
	cp Makefile README.md $(NAME).{ins,dtx,pdf,el} $(NAME)/
	cp -r samples/ $(NAME)/
	mkdir -p tex/lualatex/$(NAME)/
	cp *.lua *.sty tex/lualatex/$(NAME)/
	mkdir -p doc/lualatex/$(NAME)/
	cp README.md *.el *.pdf doc/lualatex/$(NAME)/
	cp -r samples/ doc/lualatex/$(NAME)/
	mkdir -p source/lualatex/$(NAME)/
	cp Makefile *.ins *.dtx source/lualatex/$(NAME)/
	zip -r $(NAME).tds.zip tex doc source
	rm -rf tex/ source/ doc/
	tar czf $(NAME)-$(VERS).tar.gz $(NAME).tds.zip $(NAME)/
	rm -rf $(NAME)/

.SILENT: testsamples
.PHONY: all clean distclean inst local uninst install uninstall zip package samples testsamples

=== texmf-dist/doc/pdftex/tests/08-pdfprimitive/Makefile ===
# $Id: Makefile 784 2017-11-28 23:55:44Z karl $
# Public domain.

include ../Common.mak

default: test-ok test-non test-post

test-ok:
	$(prog) test-pdfprimitive-ok.tex
	grep ' hello ' test-pdfprimitive-ok.log >/dev/null

test-non:
	$(prog) test-pdfprimitive-non.tex
	grep 'No pages of output' test-pdfprimitive-non.log >/dev/null

test-post:
	! $(prog) test-pdfprimitive-post.tex
	grep '|||' test-pdfprimitive-post.log >/dev/null

clean:
	$(clean)

=== texmf-dist/source/generic/pgf/c/Makefile ===
.PHONY : all clean examples ogdf

all:
	$(MAKE) -C graphdrawing/pgf/gd/interface/c
	$(MAKE) -C graphdrawing/pgf/gd/examples/c
	$(MAKE) -C graphdrawing/pgf/gd/ogdf/c

install_all:
	$(MAKE) -C graphdrawing/pgf/gd/interface/c install
	$(MAKE) -C graphdrawing/pgf/gd/examples/c install
	$(MAKE) -C graphdrawing/pgf/gd/ogdf/c install

examples: 
	$(MAKE) -C graphdrawing/pgf/gd/interface/c
	$(MAKE) -C graphdrawing/pgf/gd/examples/c

install_examples: 
	$(MAKE) -C graphdrawing/pgf/gd/interface/c install
	$(MAKE) -C graphdrawing/pgf/gd/examples/c install

ogdf:
	$(MAKE) -C graphdrawing/pgf/gd/interface/c
	$(MAKE) -C graphdrawing/pgf/gd/ogdf/c

install_ogdf:
	$(MAKE) -C graphdrawing/pgf/gd/interface/c install
	$(MAKE) -C graphdrawing/pgf/gd/ogdf/c install



clean:
	$(MAKE) -C graphdrawing/pgf/gd/interface/c clean
	$(MAKE) -C graphdrawing/pgf/gd/examples/c clean
	$(MAKE) -C graphdrawing/pgf/gd/ogdf/c clean

=== debian/changelog ===
texlive-base (2020.20210202-3) unstable; urgency=medium

  * Cherry-pick fix for broken footnotehyper (Closes: #982988)

 -- Norbert Preining <norbert@preining.info>  Thu, 18 Feb 2021 05:30:15 +0900

texlive-base (2020.20210202-2) unstable; urgency=medium

  * Update cmap to fix regression with sphinx builds.

 -- Norbert Preining <norbert@preining.info>  Fri, 05 Feb 2021 07:46:15 +0900

texlive-base (2020.20210202-1) unstable; urgency=medium

  * New upstream checkout.
  * Really fix the upgrade from buster (Closes: #978431)

 -- Norbert Preining <norbert@preining.info>  Tue, 02 Feb 2021 13:05:25 +0900

=== debian/control ===
Source: texlive-base
Section: tex
Priority: optional
Maintainer: Debian TeX Task Force <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>, Hilmar Preusse <hille42@web.de>
Build-Depends: debhelper-compat (= 13), dh-strip-nondeterminism
Build-Depends-Indep: sharutils, tex-common (>= 6.14), findutils (>=4.2.0)
Standards-Version: 4.5.0
Homepage: http://www.tug.org/texlive/
Vcs-Git: https://github.com/debian-tex/texlive-nonbin.git
Vcs-Browser: https://github.com/debian-tex/texlive-nonbin

Package: texlive-base
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, libpaper-utils, sensible-utils, tex-common (>= 6.14), texlive-binaries (>= 2020.20200327), ucf, xdg-utils
Conflicts: tex4ht (<< 20160814), texlive (<< 2020.20200417), texlive-base (<< 2020.20200417), texlive-bibtex-extra (<< 2020.20200417), texlive-binaries (<< 2020.20200327), texlive-extra-utils (<< 2020.20200417), texlive-font-utils (<< 2020.20200417), texlive-fonts-extra (<< 2020.20200417), texlive-fonts-extra-doc (<< 2020.20200417), texlive-fonts-extra-links (<< 2020.20200417), texlive-fonts-recommended (<< 2020.20200417), texlive-fonts-recommended-doc (<< 2020.20200417), texlive-formats-extra (<< 2020.20200417), texlive-full (<< 2020.20200417), texlive-games (<< 2020.20200417), texlive-humanities (<< 2020.20200417), texlive-humanities-doc (<< 2020.20200417), texlive-lang-all (<< 2020.20200417), texlive-lang-arabic (<< 2020.20200417), texlive-lang-chinese (<< 2020.20200417), texlive-lang-cjk (<< 2020.20200417), texlive-lang-cyrillic (<< 2020.20200417), texlive-lang-czechslovak (<< 2020.20200417), texlive-lang-english (<< 2020.20200417), texlive-lang-european (<< 2020.20200417), texlive-lang-french (<< 2020.20200417), texlive-lang-german (<< 2020.20200417), texlive-lang-greek (<< 2020.20200417), texlive-lang-italian (<< 2020.20200417), texlive-lang-japanese (<< 2020.20200417), texlive-lang-korean (<< 2020.20200417), texlive-lang-other (<< 2020.20200417), texlive-lang-polish (<< 2020.20200417), texlive-lang-portuguese (<< 2020.20200417), texlive-lang-spanish (<< 2020.20200417), texlive-latex-base (<< 2020.20200417), texlive-latex-base-doc (<< 2020.20200417), texlive-latex-extra (<< 2020.20200417), texlive-latex-extra-doc (<< 2020.20200417), texlive-latex-recommended (<< 2020.20200417), texlive-latex-recommended-doc (<< 2020.20200417), texlive-luatex (<< 2020.20200417), texlive-metapost (<< 2020.20200417), texlive-metapost-doc (<< 2020.20200417), texlive-music (<< 2020.20200417), texlive-pictures (<< 2020.20200417), texlive-pictures-doc (<< 2020.20200417), texlive-plain-generic (<< 2020.20200417), texlive-pstricks (<< 2020.20200417), texlive-pstricks-doc (<< 2020.20200417), texlive-publishers (<< 2020.20200417), texlive-publishers-doc (<< 2020.20200417), texlive-science (<< 2020.20200417), texlive-science-doc (<< 2020.20200417), texlive-xetex (<< 2020.20200417)
Recommends: lmodern (>= 0.93.3)
Provides: dvipdfmx
Suggests: ghostscript, gv | postscript-viewer, perl-tk, xpdf | pdf-viewer, xzdec
Replaces: texlive-common (<< 2013), texlive-extra-utils (<< 2019.20190626), texlive-extra-utils (<< 2019.20191208), texlive-fonts-recommended (<< 2019.20200213), texlive-fonts-recommended-doc (<< 2019.20200213), texlive-lang-cyrillic (<< 2019.20190506), texlive-lang-european (<< 2019.20190506), texlive-lang-other (<< 2019.20190506), texlive-lang-spanish (<< 2019.20190506), texlive-latex-extra (<< 2019.20190701), texlive-latex-extra-doc (<< 2019.20190701), texlive-plain-generic (<< 2020)
Breaks: texlive-common (<< 2013), texlive-extra-utils (<< 2019.20190626), texlive-extra-utils (<< 2019.20191208), texlive-extra-utils (<< 2020.20200329-2), texlive-fonts-recommended (<< 2019.20200213), texlive-fonts-recommended-doc (<< 2019.20200213), texlive-lang-cyrillic (<< 2019.20190506), texlive-lang-european (<< 2019.20190506), texlive-lang-other (<< 2019.20190506), texlive-lang-spanish (<< 2019.20190506), texlive-latex-extra (<< 2019.20190701), texlive-latex-extra-doc (<< 2019.20190701), texlive-math-extra (<< 2017), texlive-plain-generic (<< 2020)
Description: TeX Live: Essential programs and files
 These files are regarded as basic for any TeX system, covering plain TeX 
 macros, Computer Modern fonts, and configuration for common drivers; no 
 LaTeX.
 .
 This package includes the following CTAN packages:
 .
 amsfonts -- TeX fonts from the American Mathematical Society
 .
 bibtex -- Process bibliographies for LaTeX, etc
 .
 cm -- Computer Modern fonts
 .
 colorprofiles -- Collection of free ICC profiles
 .
 dvipdfmx -- An extended version of dvipdfm
 .
 dvips -- A DVI to PostScript driver
 .
 ec -- Computer modern fonts in T1 and TS1 encodings
 .
 enctex -- A TeX extension that translates input on its way into TeX
 .
 etex -- An extended version of TeX, from the NTS project
 .
 etex-pkg -- E-TeX support package
 .
 glyphlist -- Adobe Glyph List and TeX extensions
 .
 graphics-def -- Colour and graphics option files
 .
 hyph-utf8 -- Hyphenation patterns expressed in UTF-8
 .
 hyphen-base -- core hyphenation support files
 .
 hyphenex -- US English hyphenation exceptions file
 .
 ifplatform -- Conditionals to test which platform is being used
 .
 iftex -- Am I running under pdfTeX, XeTeX or LuaTeX?
 .
 knuth-lib -- A small library of Metafont sources
 .
 knuth-local -- Knuth's local information
 .
 kpathsea -- Path searching library for TeX-related files
 .
 lua-alt-getopt -- Process application arguments the same way as getopt_long
 .
 luahbtex -- LuaTeX with HarfBuzz library for glyph shaping
 .
 luatex -- The LuaTeX engine
 .
 makeindex -- Makeindex development sources
 .
 metafont -- A system for specifying fonts
 .
 mflogo -- LaTeX support for Metafont logo fonts
 .
 mfware -- Supporting tools for use with Metafont
 .
 modes -- A collection of Metafont mode_def's
 .
 pdftex -- A TeX extension for direct creation of PDF
 .
 plain -- The Plain TeX format
 .
 tex -- A sophisticated typesetting engine
 .
 tex-ini-files -- Model TeX format creation files
 .
 texlive-common -- TeX Live documentation (common elements)
 .
 texlive-docindex -- top-level TeX Live doc.html, etc.
 .
 texlive-en -- TeX Live manual (English)
 .
 texlive-msg-translations -- translations of the TeX Live installer and TeX
 Live Manager
 .
 texlive-scripts -- TeX Live infrastructure programs
 .
 texlive.infra -- basic TeX Live infrastructure
 .
 unicode-data -- Unicode data and loaders for TeX
 .
 xdvi -- A DVI previewer for the X Window System
 .
 texdoc -- Documentation access for TeX Live
 .
 texdoctk -- Easy access to package documentation

Package: texlive-latex-base
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, fonts-lmodern, texlive-base (>= 2020.20200417), texlive-base (>= 2020.20200417), texlive-binaries (>= 2020.20200327)
Suggests: texlive-latex-base-doc
Replaces: texlive-latex-extra (<< 2019.202000225), texlive-latex-recommended (<< 2019.20200205), texlive-latex-recommended (<< 2019.20200225), texlive-latex-recommended (<< 2020.20201203)
Breaks: texlive-base (<< 2020.20200417), texlive-formats-extra (<< 2020.20201129), texlive-latex-extra (<< 2019.20191203), texlive-latex-extra (<< 2019.202000225), texlive-latex-recommended (<< 2019.20191208), texlive-latex-recommended (<< 2019.20200205), texlive-latex-recommended (<< 2019.20200225), texlive-latex-recommended (<< 2020.20201203)
Description: TeX Live: LaTeX fundamental packages
 These packages are either mandated by the core LaTeX team, or very widely 
 used and strongly recommended in practice.
 .
 This package includes the following CTAN packages:
 .
 ae -- Virtual fonts for T1 encoded CMR-fonts
 .
 amscls -- AMS document classes for LaTeX
 .
 amsmath -- AMS mathematical facilities for LaTeX
 .
 atbegshi -- Execute stuff at \shipout time
 .
 atveryend -- Hooks at the very end of a document
 .
 auxhook -- Hooks for auxiliary files
 .
 babel -- Multilingual support for Plain TeX or LaTeX
 .
 babel-english -- Babel support for English
 .
 babelbib -- Multilingual bibliographies
 .
 bigintcalc -- Integer calculations on very large numbers
 .
 bitset -- Handle bit-vector datatype
 .
 bookmark -- A new bookmark (outline) organization for hyperref
 .
 carlisle -- David Carlisle's small packages
 .
 colortbl -- Add colour to LaTeX tables
 .
 epstopdf-pkg -- Call epstopdf "on the fly"
 .
 etexcmds -- Avoid name clashes with e-TeX commands
 .
 fancyhdr -- Extensive control of page headers and footers in LaTeX2e
 .
 firstaid -- First aid for external LaTeX files and packages that need
 updating
 .
 fix2col -- Fix miscellaneous two column mode features
 .
 geometry -- Flexible and complete interface to document dimensions
 .
 gettitlestring -- Clean up title references
 .
 graphics -- The LaTeX standard graphics bundle
 .
 graphics-cfg -- Sample configuration files for LaTeX color and graphics
 .
 grfext -- Manipulate the graphics package's list of extensions
 .
 hopatch -- Load patches for packages
 .
 hycolor -- Implements colour for packages hyperref and bookmark
 .
 hyperref -- Extensive support for hypertext in LaTeX
 .
 intcalc -- Expandable arithmetic operations with integers
 .
 kvdefinekeys -- Define keys for use in the kvsetkeys package
 .
 kvoptions -- Key value format for package options
 .
 kvsetkeys -- Key value parser with default handler support
 .
 l3backend -- LaTeX3 backend drivers
 .
 l3kernel -- LaTeX3 programming conventions
 .
 l3packages -- High-level LaTeX3 concepts
 .
 latex -- A TeX macro package that defines LaTeX
 .
 latex-bin -- LaTeX executables and man pages
 .
 latex-fonts -- A collection of fonts used in LaTeX distributions
 .
 latexconfig -- configuration files for LaTeX-related formats
 .
 letltxmacro -- Let assignment for LaTeX macros
 .
 ltxcmds -- Some LaTeX kernel commands for general use
 .
 ltxmisc -- Miscellaneous LaTeX packages, etc
 .
 mfnfss -- Packages to typeset oldgerman and pandora fonts in LaTeX
 .
 mptopdf -- mpost to PDF, native MetaPost graphics inclusion
 .
 natbib -- Flexible bibliography support
 .
 oberdiek -- A bundle of packages submitted by Heiko Oberdiek
 .
 pagesel -- Select pages of a document for output
 .
 pdfescape -- Implements pdfTeX's escape features using TeX or e-TeX
 .
 pslatex -- Use PostScript fonts by default
 .
 psnfss -- Font support for common PostScript fonts
 .
 pspicture -- PostScript picture support
 .
 refcount -- Counter operations with label references
 .
 rerunfilecheck -- Checksum based rerun checks on auxiliary files
 .
 stringenc -- Converting a string between different encodings
 .
 tools -- The LaTeX standard tools bundle
 .
 uniquecounter -- Provides unlimited unique counter
 .
 url -- Verbatim with URL-sensitive line breaks

Package: texlive-latex-recommended
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, texlive-base (>= 2020.20200417), texlive-binaries (>= 2020.20200327), texlive-latex-base (>= 2020.20200417)
Suggests: texlive-latex-recommended-doc, texlive-luatex, texlive-pstricks
Replaces: texlive-latex-base (<< 2019.20191208), texlive-latex-extra (<< 2017.20171003), texlive-latex-extra (<< 2019.20190324), texlive-latex-extra (<< 2019.20190507), texlive-latex-extra (<< 2019.20191208), texlive-luatex (<< 2017.20171003)
Breaks: texlive-base (<< 2020.20200417), texlive-latex-base (<< 2019.20191208), texlive-latex-base (<< 2019.20200205), texlive-latex-base (<< 2019.20200225), texlive-latex-base (<< 2020.20201203), texlive-latex-extra (<< 2017.20171003), texlive-latex-extra (<< 2019.20190324), texlive-latex-extra (<< 2019.20190507), texlive-latex-extra (<< 2019.20190720), texlive-latex-extra (<< 2019.20190915), texlive-latex-extra (<< 2019.20191208), texlive-luatex (<< 2017.20171003)
Description: TeX Live: LaTeX recommended packages
 A collection of recommended add-on packages for LaTeX which have widespread 
 use, and the release candidate formats latex-dev, etc.
 .
 This package includes the following CTAN packages:
 .

## texlive-base 2021.20210921

=== debian/changelog ===
texlive-base (2021.20210921-1) unstable; urgency=medium

  * TeX Live 2021

 -- Norbert Preining <norbert@preining.info>  Tue, 21 Sep 2021 11:32:32 +0900

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Norbert Preining <norbert@preining.info>, Hilmar Preusse <hille42@web.de>
 Build-Depends: debhelper-compat (= 13), dh-strip-nondeterminism
 Build-Depends-Indep: sharutils, tex-common (>= 6.14), findutils (>=4.2.0)
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: http://www.tug.org/texlive/
 Vcs-Git: https://github.com/debian-tex/texlive-nonbin.git
 Vcs-Browser: https://github.com/debian-tex/texlive-nonbin
@@ -13,8 +13,8 @@
 Package: texlive-base
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, libpaper-utils, sensible-utils, tex-common (>= 6.14), texlive-binaries (>= 2020.20200327), ucf, xdg-utils
-Conflicts: tex4ht (<< 20160814), texlive (<< 2020.20200417), texlive-base (<< 2020.20200417), texlive-bibtex-extra (<< 2020.20200417), texlive-binaries (<< 2020.20200327), texlive-extra-utils (<< 2020.20200417), texlive-font-utils (<< 2020.20200417), texlive-fonts-extra (<< 2020.20200417), texlive-fonts-extra-doc (<< 2020.20200417), texlive-fonts-extra-links (<< 2020.20200417), texlive-fonts-recommended (<< 2020.20200417), texlive-fonts-recommended-doc (<< 2020.20200417), texlive-formats-extra (<< 2020.20200417), texlive-full (<< 2020.20200417), texlive-games (<< 2020.20200417), texlive-humanities (<< 2020.20200417), texlive-humanities-doc (<< 2020.20200417), texlive-lang-all (<< 2020.20200417), texlive-lang-arabic (<< 2020.20200417), texlive-lang-chinese (<< 2020.20200417), texlive-lang-cjk (<< 2020.20200417), texlive-lang-cyrillic (<< 2020.20200417), texlive-lang-czechslovak (<< 2020.20200417), texlive-lang-english (<< 2020.20200417), texlive-lang-european (<< 2020.20200417), texlive-lang-french (<< 2020.20200417), texlive-lang-german (<< 2020.20200417), texlive-lang-greek (<< 2020.20200417), texlive-lang-italian (<< 2020.20200417), texlive-lang-japanese (<< 2020.20200417), texlive-lang-korean (<< 2020.20200417), texlive-lang-other (<< 2020.20200417), texlive-lang-polish (<< 2020.20200417), texlive-lang-portuguese (<< 2020.20200417), texlive-lang-spanish (<< 2020.20200417), texlive-latex-base (<< 2020.20200417), texlive-latex-base-doc (<< 2020.20200417), texlive-latex-extra (<< 2020.20200417), texlive-latex-extra-doc (<< 2020.20200417), texlive-latex-recommended (<< 2020.20200417), texlive-latex-recommended-doc (<< 2020.20200417), texlive-luatex (<< 2020.20200417), texlive-metapost (<< 2020.20200417), texlive-metapost-doc (<< 2020.20200417), texlive-music (<< 2020.20200417), texlive-pictures (<< 2020.20200417), texlive-pictures-doc (<< 2020.20200417), texlive-plain-generic (<< 2020.20200417), texlive-pstricks (<< 2020.20200417), texlive-pstricks-doc (<< 2020.20200417), texlive-publishers (<< 2020.20200417), texlive-publishers-doc (<< 2020.20200417), texlive-science (<< 2020.20200417), texlive-science-doc (<< 2020.20200417), texlive-xetex (<< 2020.20200417)
+Depends: ${misc:Depends}, libpaper-utils, sensible-utils, tex-common (>= 6.14), texlive-binaries (>= 2021.20210626), ucf, xdg-utils
+Conflicts: tex4ht (<< 20160814), texlive (<< 2021.20210921), texlive-base (<< 2021.20210921), texlive-bibtex-extra (<< 2021.20210921), texlive-binaries (<< 2021.20210626), texlive-extra-utils (<< 2021.20210921), texlive-font-utils (<< 2021.20210921), texlive-fonts-extra (<< 2021.20210921), texlive-fonts-extra-doc (<< 2021.20210921), texlive-fonts-extra-links (<< 2021.20210921), texlive-fonts-recommended (<< 2021.20210921), texlive-fonts-recommended-doc (<< 2021.20210921), texlive-formats-extra (<< 2021.20210921), texlive-full (<< 2021.20210921), texlive-games (<< 2021.20210921), texlive-humanities (<< 2021.20210921), texlive-humanities-doc (<< 2021.20210921), texlive-lang-all (<< 2021.20210921), texlive-lang-arabic (<< 2021.20210921), texlive-lang-chinese (<< 2021.20210921), texlive-lang-cjk (<< 2021.20210921), texlive-lang-cyrillic (<< 2021.20210921), texlive-lang-czechslovak (<< 2021.20210921), texlive-lang-english (<< 2021.20210921), texlive-lang-european (<< 2021.20210921), texlive-lang-french (<< 2021.20210921), texlive-lang-german (<< 2021.20210921), texlive-lang-greek (<< 2021.20210921), texlive-lang-italian (<< 2021.20210921), texlive-lang-japanese (<< 2021.20210921), texlive-lang-korean (<< 2021.20210921), texlive-lang-other (<< 2021.20210921), texlive-lang-polish (<< 2021.20210921), texlive-lang-portuguese (<< 2021.20210921), texlive-lang-spanish (<< 2021.20210921), texlive-latex-base (<< 2021.20210921), texlive-latex-base-doc (<< 2021.20210921), texlive-latex-extra (<< 2021.20210921), texlive-latex-extra-doc (<< 2021.20210921), texlive-latex-recommended (<< 2021.20210921), texlive-latex-recommended-doc (<< 2021.20210921), texlive-luatex (<< 2021.20210921), texlive-metapost (<< 2021.20210921), texlive-metapost-doc (<< 2021.20210921), texlive-music (<< 2021.20210921), texlive-pictures (<< 2021.20210921), texlive-pictures-doc (<< 2021.20210921), texlive-plain-generic (<< 2021.20210921), texlive-pstricks (<< 2021.20210921), texlive-pstricks-doc (<< 2021.20210921), texlive-publishers (<< 2021.20210921), texlive-publishers-doc (<< 2021.20210921), texlive-science (<< 2021.20210921), texlive-science-doc (<< 2021.20210921), texlive-xetex (<< 2021.20210921)
 Recommends: lmodern (>= 0.93.3)
 Provides: dvipdfmx
 Suggests: ghostscript, gv | postscript-viewer, perl-tk, xpdf | pdf-viewer, xzdec
@@ -61,7 +61,7 @@
  .
  iftex -- Am I running under pdfTeX, XeTeX or LuaTeX?
  .
- knuth-lib -- A small library of Metafont sources
+ knuth-lib -- Core TeX and Metafont sources from Knuth
  .
  knuth-local -- Knuth's local information
  .
@@ -92,8 +92,6 @@
  tex-ini-files -- Model TeX format creation files
  .
  texlive-common -- TeX Live documentation (common elements)
- .
- texlive-docindex -- top-level TeX Live doc.html, etc.
  .
  texlive-en -- TeX Live manual (English)
  .
@@ -115,10 +113,10 @@
 Package: texlive-latex-base
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, fonts-lmodern, texlive-base (>= 2020.20200417), texlive-base (>= 2020.20200417), texlive-binaries (>= 2020.20200327)
+Depends: ${misc:Depends}, fonts-lmodern, texlive-base (>= 2021.20210628), texlive-base (>= 2021.20210921), texlive-binaries (>= 2021.20210626)
 Suggests: texlive-latex-base-doc
 Replaces: texlive-latex-extra (<< 2019.202000225), texlive-latex-recommended (<< 2019.20200205), texlive-latex-recommended (<< 2019.20200225), texlive-latex-recommended (<< 2020.20201203)
-Breaks: texlive-base (<< 2020.20200417), texlive-formats-extra (<< 2020.20201129), texlive-latex-extra (<< 2019.20191203), texlive-latex-extra (<< 2019.202000225), texlive-latex-recommended (<< 2019.20191208), texlive-latex-recommended (<< 2019.20200205), texlive-latex-recommended (<< 2019.20200225), texlive-latex-recommended (<< 2020.20201203)
+Breaks: texlive-base (<< 2021.20210628), texlive-formats-extra (<< 2020.20201129), texlive-latex-extra (<< 2019.20191203), texlive-latex-extra (<< 2019.202000225), texlive-latex-recommended (<< 2019.20191208), texlive-latex-recommended (<< 2019.20200205), texlive-latex-recommended (<< 2019.20200225), texlive-latex-recommended (<< 2020.20201203)
 Description: TeX Live: LaTeX fundamental packages
  These packages are either mandated by the core LaTeX team, or very widely 
  used and strongly recommended in practice.
@@ -137,7 +135,7 @@
  .
  auxhook -- Hooks for auxiliary files
  .
- babel -- Multilingual support for Plain TeX or LaTeX
+ babel -- Multilingual support for LaTeX, LuaLaTeX, XeLaTeX, and Plain TeX
  .
  babel-english -- Babel support for English
  .
@@ -241,13 +239,19 @@
 Package: texlive-latex-recommended
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, texlive-base (>= 2020.20200417), texlive-binaries (>= 2020.20200327), texlive-latex-base (>= 2020.20200417)
+Depends: ${misc:Depends}, texlive-base (>= 2021.20210628), texlive-binaries (>= 2021.20210626), texlive-latex-base (>= 2021.20210921)
 Suggests: texlive-latex-recommended-doc, texlive-luatex, texlive-pstricks
-Replaces: texlive-latex-base (<< 2019.20191208), texlive-latex-extra (<< 2017.20171003), texlive-latex-extra (<< 2019.20190324), texlive-latex-extra (<< 2019.20190507), texlive-latex-extra (<< 2019.20191208), texlive-luatex (<< 2017.20171003)
-Breaks: texlive-base (<< 2020.20200417), texlive-latex-base (<< 2019.20191208), texlive-latex-base (<< 2019.20200205), texlive-latex-base (<< 2019.20200225), texlive-latex-base (<< 2020.20201203), texlive-latex-extra (<< 2017.20171003), texlive-latex-extra (<< 2019.20190324), texlive-latex-extra (<< 2019.20190507), texlive-latex-extra (<< 2019.20190720), texlive-latex-extra (<< 2019.20190915), texlive-latex-extra (<< 2019.20191208), texlive-luatex (<< 2017.20171003)
+Replaces: texlive-latex-base (<< 2019.20191208), texlive-latex-extra (<< 2019.20190324), texlive-latex-extra (<< 2019.20190507), texlive-latex-extra (<< 2019.20191208)
+Breaks: texlive-base (<< 2021.20210628), texlive-latex-base (<< 2019.20191208), texlive-latex-base (<< 2019.20200205), texlive-latex-base (<< 2019.20200225), texlive-latex-base (<< 2020.20201203), texlive-latex-extra (<< 2019.20190324), texlive-latex-extra (<< 2019.20190507), texlive-latex-extra (<< 2019.20190720), texlive-latex-extra (<< 2019.20190915), texlive-latex-extra (<< 2019.20191208)
 Description: TeX Live: LaTeX recommended packages
  A collection of recommended add-on packages for LaTeX which have widespread 
  use, and the release candidate formats latex-dev, etc.
  .
  This package includes the following CTAN packages:
  .
+ anysize -- A simple package to set up document margins
+ .
+ attachfile2 -- Attach files into PDF
+ .
+ beamer -- A LaTeX class for producing presentations and slides
+ .

## texlive-base 2021.20211127

=== debian/changelog ===
texlive-base (2021.20211127-1) unstable; urgency=medium

  * New upstream snapshot, refresh patches.

 -- Hilmar Preusse <hille42@web.de>  Sat, 27 Nov 2021 22:16:17 +0100

## texlive-base 2021.20211217

=== debian/changelog ===
texlive-base (2021.20211217-1) unstable; urgency=high

  * New upstream snapshot.

 -- Hilmar Preusse <hille42@web.de>  Sat, 18 Dec 2021 00:07:04 +0100
